function $AdfAlertLogWriter$$() {
  this.Init();
}
$goog$exportSymbol$$("AdfAlertLogWriter", $AdfAlertLogWriter$$);
$AdfObject$$.$createSubclass$($AdfAlertLogWriter$$, $AdfBufferedLogWriter$$);
$AdfAlertLogWriter$$.prototype.flush = function $$AdfAlertLogWriter$$$$flush$() {
  this.$CheckIfClosed$();
  var $reversedArray$$ = this.$getLogRecords$();
  if ($reversedArray$$.length) {
    $reversedArray$$.reverse();
    var $logString$$ = "Logged Messages:\n", $logCount$$ = $reversedArray$$.length;
    if (0 < $logCount$$) {
      for (var $i$$57$$ = 0;$i$$57$$ < $logCount$$;$i$$57$$++) {
        $reversedArray$$[$i$$57$$] = this.$FormatLogRecord$($reversedArray$$[$i$$57$$]);
      }
      $logString$$ += $reversedArray$$.join("\n");
    } else {
      $logString$$ += "[No Messages]";
    }
    this.$Clear$();
    alert($logString$$);
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfAlertLogWriter.prototype.flush", {flush:$AdfAlertLogWriter$$.prototype.flush});
